package com.bootdo.system.vo;

import java.util.List;

/**
 * 用户推送vo
 *
 * @author Mr.xiBel
 * @date 2022/4/1
 **/

public class PushUserVO {

    /**
     * 是否全部 标识符
     */
    public static final int ALL_FLAG_YES = 1;
    public static final int ALL_FLAG_NO = 0;

    /**
     * 用户集合
     */
    private List<UserInfoVO> userInfos;

    /**
     * 是否全量数据 0不是 1是
     */
    private Integer isAll;

    // get set

    public List<UserInfoVO> getUserInfos() {
        return userInfos;
    }

    public void setUserInfos(List<UserInfoVO> userInfos) {
        this.userInfos = userInfos;
    }

    public Integer getIsAll() {
        return isAll;
    }

    public void setIsAll(Integer isAll) {
        this.isAll = isAll;
    }

    @Override
    public String toString() {
        return "PushUserVO{" +
                "userInfos=" + userInfos +
                ", isAll=" + isAll +
                '}';
    }
}
